The Fish(1)

NAME
thefish - user friendly rc.conf editor/management tool

SYNOPSIS
thefish [-cvh]

DESCRIPTION
The Fish provides a graphical tool (with GTK+, Qt and ncurses frontends) to manage and edit system variables stored in /etc/defaults/rc.conf and /etc/rc.conf

For testing purposes, or, for users that need to have different configurations, the program honours two environment variables: FISH_RC_DEFAULTS and FISH_RC. Note that, although this program was created to edit rc.conf, it can edit similarly structured files, like /boot/loader.conf. This is a side effect of the way the parser was designed and, even if it works, it's not officially supported.

The following options can be used:

-c Force console mode
-v Show version and exit
-h Show help

Modifying Values
There are two kinds of entries in rc.conf: Knobs and Strings. Knobs can only be either YES or NO. Strings can have any value. To modify a Knob simply click on the toggle button associated with it. To modify a string, edit the value to your needs. In the GTK+ version the status of each entry is noted by small icon. A floppy disk icon means that entry was modified or is new and, therefore, needs to be saved. Selecting a row will print a little description about the variable in the status bar.

Adding new entries
To add a new entry, simply press the “ Add ” button and fill in the form. “ Name ” can be any name that is not already in use. “ Value ” can be " YES " , " NO ", or something else. Note that “ Value ” must go between quotes, or you will get an error. “ Comment ” is an optional comment, and it will be appended to the new entry when saving the data. Depending on what value you enter, the new entry will appear at the end of the Knob list, or the String list. Changes won't be saved until you press “ Save ”.

Saving changes
To permanently save your changes, you need to have write access to /etc/rc.conf ( or FISH_RC) and press “ Save ”. Once you do so, the modifications and new entries will be stored in a delta fashion.

ENVIRONMENT
By default, The Fish reads /etc/defaults/rc.conf and /etc/rc.conf
You can change this behaviour by setting two environment variables:

FISH_RC_DEFAULTS
    user selected defaults file

FISH_RC
    user selected personal settings file

FILES
/etc/defaults/rc.conf
/etc/rc.conf

SEE ALSO
rc.conf(5)

HISTORY
The Fish started as a little project in January 2002, based upon an idea posted by Terry Lambert on the freebsd-hackers mailing list.

AUTHORS
Miguel Mendez <flynn@energyhq.es.eu.org> portmaster <portmaster@BSDforge.com>

http://BSDforge.com/projects/sysutils/thefish

BUGS
If you find any, please report them.